#ifndef _ALSAPLAYER_H_
#define _ALSAPLAYER_H_

#include "player.h"
class AlsaManager;

#define TIMERINTERVALL 1000.0

class AlsaPlayer : public Player
{
  friend class Track;

 private:
  AlsaManager * alsa;
  SongIterator * aiterator;
  void init();
  // void wait(long,long);
  void mergeQueue();
  void metronome(int);
  void initPlayer();
  void freePlayer();

 public:
  AlsaPlayer();
  AlsaPlayer(Song*);
  ~AlsaPlayer();
  const char * device(int i);
  int devicenum();
  void play(PrProgress * progress = 0, Part * part=0, long left = 0, long right = 0, bool cycl = false, int record_track = -1);
  void hit(int out, int ch, int freq, int vol);
  void quad(int out, int ch, int freq1, int freq2, int freq3, int freq4, int vol);
  void killAllNotes();
  void setTempo(int t, long pos=0);
  void setPosition(Position);

  bool playQuantum(bool cycl = false);
  bool playStart(PrProgress * progress, Part * part, long left, long right);
  double time();
  long ticks();
  long volume();
  void programChange(Track*);
};

#endif
