#ifndef _NOPLAYER_CPP_
#define _NOPLAYER_CPP_

#include <iostream>
#include <string>

using namespace std;

#include "config.h"

#include "noPlayer.h"
#include "reference.h"
#include "part.h"
#include "track.h"
#include "note.h"
#include "midiEvent.h"
#include "masterEvent.h"
#include "audioEvent.h"
#include "song.h"
#include "table.h"
#include "element.h"
#include "scoreTrack.h"
#include "drumTrack.h"
#include "prProgress.h"
#include "prMainEditor.h"
#include "songIterator.h"
#include "addElement.h"


extern Table * selectioN;

extern PrMainEditor * mainEditor;


NoPlayer::NoPlayer() : Player() {
  init();
}

NoPlayer::NoPlayer(Song * s) : Player(s) {
  init();
}

NoPlayer::~NoPlayer() {
  freePlayer();
}

void NoPlayer::init() {
  _player_name = strdup("None");
  initPlayer();
}

const char * NoPlayer::device(int i) {
  const char * dev = 0;
  dev = "no sound";
  return dev;
}

int NoPlayer::devicenum() {
  int ret = 1;
  return ret;
}

void NoPlayer::play(PrProgress * progress, Part * part, long left, long right, bool cycl, int record_track) {
}


void NoPlayer::hit(int out, int ch, int freq, int vol) {
}

void NoPlayer::quad(int out, int ch, int freq1, int freq2, int freq3, int freq4, int vol) {
}


double NoPlayer::time() {
  return 0.0;
}
  
long NoPlayer::ticks() {
  return 0L;
}

long NoPlayer::volume() {
  return 0; //ps->volume;
}

void NoPlayer::initPlayer() {
}

void NoPlayer::freePlayer()
{
}

bool NoPlayer::playStart(PrProgress * progress, Part * part, long lft, long rgt) {
  return true;
}

bool NoPlayer::playQuantum(bool cycl) {
  return false;
}

void NoPlayer::killAllNotes() {
  _playing = false;
}

void NoPlayer::setTempo(int t, long pos) {
}

void NoPlayer::setPosition(Position) {
}


void NoPlayer::mergeQueue() {
}

void NoPlayer::programChange(Track * tr) {
}

void NoPlayer::metronome(int p) {
}

#endif
