#ifndef _KDEMASTERCONTENT_H_
#define _KDEMASTERCONTENT_H_

#include <qframe.h>
#include <qpixmap.h>
#include <qbitmap.h>
#include <qcursor.h>
#include <qpen.h>

#include "prScoreEditor.h"

class KdeMasterEditor;
class KdeEditorToolBar;
class PositionCursor;

class KdeMasterContent : public QFrame
{
  Q_OBJECT

 private:
  KdeMasterEditor * _editor;
  KdeEditorToolBar * _toolbar;
  PositionCursor * _position_cursor;
  int _xoffset;

 public:
  KdeMasterContent(QWidget *, KdeMasterEditor *, KdeEditorToolBar *);
  void moveCursor(int ticks);

 public slots:
  void paintEvent(QPaintEvent*);
  void mousePressEvent ( QMouseEvent * );
  void mouseMoveEvent  ( QMouseEvent * );
  void mouseReleaseEvent ( QMouseEvent * );
  void keyPressEvent ( QKeyEvent * );
  void keyReleaseEvent ( QKeyEvent * );
};

#endif
