/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Sat Jun  8 15:33:59 CEST 2002
    copyright            : (C) 2002, 2004 by Morten Hustveit
    email                : mortehu@ifi.uio.no
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "sanetracker.h"

static const char *description = I18N_NOOP("Pattern based MIDI sequencer");

static KCmdLineOptions options[] =
{
  { "+[File]", I18N_NOOP("file to open"), 0 },
  { 0, 0, 0 }
};

int
main(int argc, char** argv)
{
  KAboutData aboutData("sanetracker", I18N_NOOP("Sanetracker"),
                       VERSION, description, KAboutData::License_GPL,
                       "(c) 2002-2004, Morten Hustveit", 0, 0,
                       "morten@rashbox.org");
  aboutData.addAuthor("Morten Hustveit",0, "mortehu@rashbox.org");

  KCmdLineArgs::init(argc, argv, &aboutData);
  KCmdLineArgs::addCmdLineOptions(options);

  KApplication app;
 
  if(app.isRestored())
  {
    RESTORE(SanetrackerApp);
  }
  else 
  {
    SanetrackerApp *sanetracker = new SanetrackerApp();
    sanetracker->show();

    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

    if(args->count())
      sanetracker->openDocumentFile(args->arg(0));

    args->clear();
  }

  return app.exec();
}

// vim: ts=2 sw=2 et
