/***************************************************************************
                          midi.h  -  description
                             -------------------
    begin                : Mon Jun 10 2002
    copyright            : (C) 2002 by Morten Hustveit
    email                : mortehu@ifi.uio.no
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#define MIDI_CHANNELS_MAX 16

// Voice messages
#define MIDI_NOTE_OFF(c)      (0x80 + c)
#define MIDI_NOTE_ON(c)       (0x90 + c)
#define MIDI_AFTERTOUCH(c)    (0xA0 + c)
#define MIDI_CONTROL(c)       (0xB0 + c)
#define MIDI_PATCH_CHANGE(c)  (0xC0 + c)
#define MIDI_PRESSURE(c)      (0xD0 + c)
#define MIDI_PITCH_WHEEL(c)   (0xE0 + c)
#define MIDI_CLOCK                  0xF8
#define MIDI_PLAY                   0xFA
#define MIDI_STOP                   0xFC

// Control messages
#define MIDI_BANK_SELECT               0
#define MIDI_MOD_WHEEL                 1
#define MIDI_BREATH_CONTROL            2
#define MIDI_FOOT_PEDAL                4
#define MIDI_PORTAMENTO_TIME           5
#define MIDI_DATA_ENTRY                6
#define MIDI_VOLUME                    7
#define MIDI_BALANCE                   8
#define MIDI_PAN_POSITION             10
#define MIDI_EXPRESSION               11
#define MIDI_EFFECT_CONTROL_1         12
#define MIDI_EFFECT_CONTROL_2         13
#define MIDI_GENERAL_PURPOSE_1        16
#define MIDI_GENERAL_PURPOSE_2        17
#define MIDI_GENERAL_PURPOSE_3        18
#define MIDI_GENERAL_PURPOSE_4        19
#define MIDI_BANK_SELECT_FINE         32
#define MIDI_MOD_WHEEL_FINE           33
#define MIDI_BREATH_CONTROLLER_FINE   34
#define MIDI_FOOT_PEDAL_FINE          36
#define MIDI_PORTAMENTO_TIME_FINE     37
#define MIDI_DATA_ENTRY_FINE          38
#define MIDI_VOLUME_FINE              39
#define MIDI_BALANCE_FINE             40
#define MIDI_PAN_POSITION_FINE        42
#define MIDI_EXPRESSION_FINE          43
#define MIDI_EFFECT_CONTROL_1_FINE    44
#define MIDI_EFFECT_CONTROL_2_FINE    45
#define MIDI_HOLD_PEDAL               64
#define MIDI_PORTAMENTO               65
#define MIDI_SUSTENUTO_PEDAL          66
#define MIDI_SOFT_PEDAL               67
#define MIDI_LEGATO_PEDAL             68
#define MIDI_HOLD_2_PEDAL             69
#define MIDI_SOUND_VARIATION          70
#define MIDI_SOUND_TIMBRE             71
#define MIDI_SOUND_RELEASE_TIME       72
#define MIDI_SOUND_ATTACK_TIMER       73
#define MIDI_SOUND_BRIGHTNESS         74
#define MIDI_SOUND_CONTROL_6          75
#define MIDI_SOUND_CONTROL_7          76
#define MIDI_SOUND_CONTROL_8          77
#define MIDI_SOUND_CONTROL_9          78
#define MIDI_SOUND_CONTROL_10         79
#define MIDI_GENERAL_PURPOSE_BUTTON_1 80
#define MIDI_GENERAL_PURPOSE_BUTTON_2 81
#define MIDI_GENERAL_PURPOSE_BUTTON_3 82
#define MIDI_GENERAL_PURPOSE_BUTTON_4 83
#define MIDI_EFFECTS_LEVEL            91
#define MIDI_TREMULO_LEVEL            92
#define MIDI_CHORUS_LEVEL             93
#define MIDI_CELESTE_LEVEL            94
#define MIDI_PHASER_LEVEL             95
#define MIDI_DATA_BUTTON_INC          96
#define MIDI_DATA_BUTTON_DEC          97
#define MIDI_NRPN                     98
#define MIDI_NRPN_FINE                99
#define MIDI_RPN                     100
#define MIDI_RPN_FINE                101
#define MIDI_ALL_SOUND_OFF           120
#define MIDI_ALL_CONTROLS_OFF        121
#define MIDI_LOCAL_KEYBOARD          122
#define MIDI_ALL_NOTES_OFF           123
#define MIDI_OMNI_MODE_OFF           124
#define MIDI_OMNI_MODE_ON            125
#define MIDI_MONO_OPERATION          126
#define MIDI_POLY_OPERATION          127
